Bug 1019303 - JNDI names validation is too strict
JNDI names validation is too strict
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 08:52 EDT by Martin Svehla
Modified: 2015-02-01 18:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-03 08:22:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Svehla 2013-10-15 08:52:14 EDT
Description of problem:
Form fields for entering JNDI names enforce java:/ or java:jboss/ name prefixes. While this is not incorrect, it's in my opinion too strict. Using no prefix is valid (implies java:comp/env namespace). Eg the user can use just "jms/TestQueue" JNDI name in both CLI or configuration file. I don't think it's necessary to force users to set fully qualified JNDI names.

There are also other valid namespaces: java:global, java:app, java:module and java:comp.


Version-Release number of selected component (if applicable):
EAP 6.2.0.ER5
Comment 1 Martin Svehla 2013-10-15 08:52:58 EDT
Any changes to this will be probably related to bug 1019241 too

Note You need to log in before you can comment on or make changes to this bug.